

this.db = window.openDatabase('mcpress', '1.0', 'Example DB', 1000000);
if (this.db) {
    this.db.transaction(function(tx) {

        tx.executeSql('Drop table if exists Customer');
        tx.executeSql('CREATE TABLE IF NOT EXISTS Customer ' +
            '( customerId INTEGER , ' +                
            ' customerName TEXT ) ');  
                
        tx.executeSql('INSERT INTO Customer ' + 
            '(customerId, ' +
            ' customerName) ' +                        
            ' VALUES(?, ?) ',
            [0001,
            'Pinch Hitter Solutions'], 
            function(tx, r) {
                console.log('======================');                             
                console.log('Customer Row Inserted!!');
                console.log('======================');                             
            },function(tx, e) {
                console.log('======================');                             
                console.log('Error with Customer Insert! ' + e.message);
                console.log('======================');
            });
                   
    });
}
